<?
#
# PageObjectModel is a set of classes that allow easy manipulation of MediaWiki page source.
#

require_once('POM/Element.php');
require_once('POM/Page.php');
require_once('POM/Parser.php');
require_once('POM/TemplateParser.php');
require_once('POM/Template.php');
require_once('POM/TemplateCollection.php');
require_once('POM/TextNode.php');

---
query:
  namespaces:
    -
      id: -2
      case: first-letter
      '*': Media
      canonical: Media
    -
      id: -1
      case: first-letter
      '*': Spezial
      canonical: Special
    -
      id: 0
      case: first-letter
      '*':
      content:
    -
      id: 1
      case: first-letter
      '*': Diskussion
      subpages:
      canonical: Talk
    -
      id: 2
      case: first-letter
      '*': Benutzer
      subpages:
      canonical: User
    -
      id: 3
      case: first-letter
      '*': Benutzer Diskussion
      subpages:
      canonical: User talk
    -
      id: 4
      case: first-letter
      '*': SubmersWiki
      canonical: Project
    -
      id: 5
      case: first-letter
      '*': SubmersWiki Diskussion
      subpages:
      canonical: Project talk
    -
      id: 6
      case: first-letter
      '*': Datei
      canonical: File
    -
      id: 7
      case: first-letter
      '*': Datei Diskussion
      subpages:
      canonical: File talk
    -
      id: 8
      case: first-letter
      '*': MediaWiki
      subpages:
      canonical: MediaWiki
    -
      id: 9
      case: first-letter
      '*': MediaWiki Diskussion
      subpages:
      canonical: MediaWiki talk
    -
      id: 10
      case: first-letter
      '*': Vorlage
      canonical: Template
    -
      id: 11
      case: first-letter
      '*': Vorlage Diskussion
      subpages:
      canonical: Template talk
    -
      id: 12
      case: first-letter
      '*': Hilfe
      canonical: Help
    -
      id: 13
      case: first-letter
      '*': Hilfe Diskussion
      subpages:
      canonical: Help talk
    -
      id: 14
      case: first-letter
      '*': Kategorie
      canonical: Category
    -
      id: 15
      case: first-letter
      '*': Kategorie Diskussion
      subpages:
      canonical: Category talk
    -
      id: 102
      case: first-letter
      '*': Attribut
      canonical: Attribut
    -
      id: 103
      case: first-letter
      '*': Attribut Diskussion
      subpages:
      canonical: Attribut Diskussion
    -
      id: 104
      case: first-letter
      '*': Datentyp
      canonical: Datentyp
    -
      id: 105
      case: first-letter
      '*': Datentyp Diskussion
      subpages:
      canonical: Datentyp Diskussion
    -
      id: 106
      case: first-letter
      '*': Stream
      canonical: Stream
    -
      id: 107
      case: first-letter
      '*': Stream talk
      subpages:
      canonical: Stream talk
    -
      id: 108
      case: first-letter
      '*': Sequence
      canonical: Sequence
    -
      id: 109
      case: first-letter
      '*': Sequence talk
      canonical: Sequence talk
    -
      id: 110
      case: first-letter
      '*': MVD
      canonical: MVD
    -
      id: 111
      case: first-letter
      '*': MVD talk
      canonical: MVD talk
    -
      id: 120
      case: first-letter
      '*': Document
      canonical: Document
    -
      id: 121
      case: first-letter
      '*': Document talk
      canonical: Document talk
    -
      id: 122
      case: first-letter
      '*': Audio
      canonical: Audio
    -
      id: 123
      case: first-letter
      '*': Audio talk
      canonical: Audio talk
    -
      id: 124
      case: first-letter
      '*': Video
      canonical: Video
    -
      id: 125
      case: first-letter
      '*': Video talk
      canonical: Video talk
    -
      id: 126
      case: first-letter
      '*': Pdf
      canonical: Pdf
    -
      id: 127
      case: first-letter
      '*': Pdf talk
      canonical: Pdf talk
    -
      id: 128
      case: first-letter
      '*': ICalendar
      canonical: ICalendar
    -
      id: 129
      case: first-letter
      '*': ICalendar talk
      canonical: ICalendar talk
    -
      id: 130
      case: first-letter
      '*': VCard
      canonical: VCard
    -
      id: 131
      case: first-letter
      '*': VCard talk
      canonical: VCard talk
    -
      id: 170
      case: first-letter
      '*': Filter
      canonical: Filter
    -
      id: 171
      case: first-letter
      '*': Filter Diskussion
      subpages:
      canonical: Filter Diskussion
    -
      id: 274
      case: first-letter
      '*': Widget
      canonical: Widget
    -
      id: 275
      case: first-letter
      '*': Widget talk
      subpages:
      canonical: Widget talk
    -
      id: 300
      case: first-letter
      '*': Rechte
      subpages:
      canonical: Rechte
    -
      id: 301
      case: first-letter
      '*': Rechte Diskussion
      subpages:
      canonical: Rechte Diskussion
    -
      id: 700
      case: first-letter
      '*': Kommentar
      canonical: Kommentar
    -
      id: 701
      case: first-letter
      '*': Kommentar talk
      canonical: Kommentar talk
    -
      id: 702
      case: first-letter
      '*': UserManual
      canonical: UserManual
    -
      id: 703
      case: first-letter
      '*': UserManual talk
      canonical: UserManual talk
